Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class Utility

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.Utility

    public final class Utility

extends java.lang.Object

Version:
  $Id: Utility.java 3713 2010-04-08 11:06:05Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Method Summary
`static int` | `emu(float points)` Convert an int value from points to EMU (multiply with 12700)
`static java.lang.String` | `getIndent(int i)`
`static int` | `halfPoint(float pixels)`
`protected static java.lang.String` | `replaceNewLineWithLineBreak(java.lang.String source)`
`static double` | `translatePixelsToInches(double pixels)`
`static double` | `translatePixelsToInchesRound(double pixels)`
`static double` | `translatePixelsToInchesWithNoRoundOff(double pixels)`
`static int` | `twip(float points)` Convert a float value to twips (multiply with 20)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIndent

    public static java.lang.String getIndent(int i)

### translatePixelsToInches

    public static double translatePixelsToInches(double pixels)

### translatePixelsToInchesRound

    public static double translatePixelsToInchesRound(double pixels)

### translatePixelsToInchesWithNoRoundOff

    public static double translatePixelsToInchesWithNoRoundOff(double pixels)

### replaceNewLineWithLineBreak

    protected static java.lang.String replaceNewLineWithLineBreak(java.lang.String source)

### twip

    public static int twip(float points)

  Convert a float value to twips (multiply with 20)

  Parameters:
    `points` - value that need to be converted
  Returns:
    converted value in twips

### emu

    public static int emu(float points)

  Convert an int value from points to EMU (multiply with 12700)

  Parameters:
    `points` - value that needs to be converted
  Returns:
    converted value in EMU

### halfPoint

    public static int halfPoint(float pixels)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com